This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 505484 - feature to allow customizing which langs appear by default in lang menu
feature to allow customizing which langs appear by default in lang menu
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 00:28 EDT by Jens Petersen
Modified: 2011-11-24 00:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-24 00:34:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-06-12 00:28:47 EDT
Description of problem:
Based on the thread "GDM Language list..." on fedora-devel-list
and fedora-i18n-list, I had a discussion with Ankit and
I came up with this idea which could perhaps form part of
YumLangpackPlugin Feature for F12.

If gdm could support configuration of the locales shown by
default in it's language list, then the <lang>-langpack-support
meta packages of the above feature could add languages to
that gdm system config which would allow giving languages
with extra support installed high visibility in the menu.

Does that make some sense?

I guess next step would be to file an rfe upstream...


Steps to Reproduce:
1. Install language support for my favourite languages
2. login via gdm
  
Actual results:
2. need to go to Other... to find them

Expected results:
2. appear in gdm lang menu
Comment 1 Ankit Patel 2009-09-07 10:00:40 EDT
ping
Comment 2 Jens Petersen 2009-09-07 19:40:45 EDT
I think Fujiwara-san is working on a patch for this.
Comment 3 fujiwara 2009-09-07 21:20:18 EDT
I'll work on the better GUI tool later. I need to fix other issues prior to this issue.

Currently CLI is already implemented.
Once you modify gdm line in /etc/passwd with "s|/sbin/nologin|/bin/bash|", you could update the gdm gconf value /apps/gdm/simple-greeter/recent-languages by manual or gconf-editor.
Comment 4 Jens Petersen 2009-09-09 00:42:48 EDT
I talked to Fujiwara-san and realised we were talking about
somewhat different things.

Anyway as he pointed out to me this "rfe" can be done
trivially with system gdm gconf settings.

eg sudo -u gdm gconftool-2 --get  /apps/gdm/simple-greeter/recent-languages

But I think requiring login for gdm that might be a serious problem?
Comment 5 Jens Petersen 2009-09-24 03:27:09 EDT
> But I think requiring login for gdm that might be a serious problem?  

Ignore this - misunderstanding on my part.
Comment 6 Jens Petersen 2009-09-24 03:27:50 EDT
Adding a link here from https://fedoraproject.org/wiki/Features/YumLangpackPlugin#gdm
Comment 7 Bug Zapper 2009-11-16 05:04:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-11-04 07:08:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 fujiwara 2010-11-04 21:52:07 EDT
Sorry, still a bit busy.
Comment 10 Fedora Admin XMLRPC Client 2011-06-21 11:35:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-06-21 11:37:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2011-06-21 11:39:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2011-06-21 11:42:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora Admin XMLRPC Client 2011-06-21 11:52:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora Admin XMLRPC Client 2011-06-21 11:55:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Fedora Admin XMLRPC Client 2011-06-21 11:57:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora Admin XMLRPC Client 2011-06-21 11:58:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Jens Petersen 2011-11-23 04:11:22 EST
Closing out at least until gdm support language selection again.

Note You need to log in before you can comment on or make changes to this bug.